Bug 108053 - No DMA with IDE-HDDs on nForce3
Summary: No DMA with IDE-HDDs on nForce3
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-27 05:51 UTC by Thorsten Leemhuis
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version: 2.4.22-1.2129.nptl
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-03 05:50:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thorsten Leemhuis 2003-10-27 05:51:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20030927
Galeon/1.3.9

Description of problem:
On an Asus SK8N [Nvidia nForce3, Athlon FX51, 
00:00.0 Class 0600: 10de:00d1 (rev a4)
] DMA for IDE-Harddisks on the Chipset-IDE-Port doesn't work. Didn't try the
Promise Chipset.

Version-Release number of selected component (if applicable):
2.4.22-1.2108.nptl

How reproducible:
Always

Steps to Reproduce:
1. hdparm -d1 /dev/hda

Actual Results:  hdparm complains with an error, IDE-DMA is not supported

Expected Results:  DMA should be activated

Additional info:

Kernel only loaded Standard-IDE Driver:
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx

Patching in
http://www.ussg.iu.edu/hypermail/linux/kernel/0309.2/0443.html
and building a new kernel helps, now DMA is possible and activated automaticly.

RHEL3 for Athlon64 seems to have the same Problem, bug-report is
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=105795

Comment 1 Thorsten Leemhuis 2003-12-03 05:50:29 UTC
Fixed with 2.4.22-1.2129.nptl; Thanks Dave!


Note You need to log in before you can comment on or make changes to this bug.